function param = OscSplit(scheme, weight )
%OSCSPLIT Splitting method for Oscillator

% created by Claude Gittelson

param = rkSplitParams([@phi1, @phi2], scheme, weight, 'Splitting Method for Oscillator');


% --------------------------------------------------------------------------

function [y, fcalls] = phi1(param, ode, h, tol, y1, t, k, fcalls)
    y = y1 + h*[y1(2);0];
    fcalls = fcalls + 1;
    


% --------------------------------------------------------------------------

function [y, fcalls] = phi2(param, ode, h, tol, y1, t, k, fcalls)
    y = y1 + h*[0;-sin(y1(1))];
    fcalls = fcalls + 1;
    
