function s = lmsStab(param)
%LMSSTAB calculate border of area of stability

% created by Claude Gittelson

t = [0:0.002:1]';
z = exp(2*pi*i*t);
y = ones(length(t),1);
rho = param.alpha(param.k+1)*y;
sigma = param.beta(param.k+1)*y;
for(n=param.k:-1:1)
    y = z.*y;
    rho = rho + param.alpha(n)*y;
    sigma = sigma + param.beta(n)*y;
end
s = rho./sigma;
    