function [y, fcalls] = rkFullStep(param, ode, h, tol, y1, t, k, fcalls)
%RKFULLSTEP step of RKFULL

% created by Claude Gittelson

% newton iteration
m = 1;
conv = ones(1,param.s);
while norm(conv) > 0 & m < 100
    for i = 1:param.s
        if conv(i)
            constT = t - h + h*param.c(i);
            constY = y1 + h*k*(param.A(i,:)');
            g = k(:,i) - feval(ode.f, constT, constY, ode.fargs{:});
            Dg = eye(ode.dim) - h*param.A(i,i)*feval(ode.Df, constT, constY, ode.fargs{:});
            d = -Dg\g;
            k(:,i) = k(:,i) + d;
            if norm(d) < tol
                conv(i) = 0;
            end
            fcalls = fcalls + ode.dim + ode.dim^2;
        end
    end
end
y = y1 + h*k*param.b;