function mtd = rkLobattoB(p)
%RKLOBATTOA Lobatto IIIB methods of order p = 2, 4, 6

% created by Claude Gittelson

switch p
    case 2
        mtd = rkParams([0.5 0.5],[0.5 0; 0.5 0],[0.5 0.5],'LobattoIIIB(2)');

    case 4
        mtd = rkParams([0  0.5  1],...
            [ 1/6   -1/6    0
              1/6    1/3    0
              1/6    5/6    0 ],...            
            [1/6   2/3   1/6],...
            'LobattoIIIB(4)');

    case 6
        mtd = rkParams([ 0   (5-sqrt(5))/10   (5+sqrt(5))/10   1 ],...
            [  1/12          (-1-sqrt(5))/24      (-1+sqrt(5))/24         0
               1/12          (25+sqrt(5))/120   (25-13*sqrt(5))/120       0
               1/12        (25+13*sqrt(5))/120   (25-sqrt(5))/120         0
               1/12          (11-sqrt(5))/24     (11+sqrt(5))/24          0  ],...
            [ 1/12    5/12    5/12    1/12 ],...
            'LobattoIIIB(6)');
end

